[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

fglrx, Kernel 2.6.12 and GCC4

Hi together,

maybe some of you have the same configuration as I have. I use Debian
Sid, vanilla Kernel with GCC4 and fglrx. But I can't compile
fglrx. I followed the instructions on:
http://tux3d.org/viewtopic.php?t=188&start=0&postdays=0&postorder=asc&highlight= and applied also the GGC4 patch. But when I want to compile following error comes up:
tuxbox:/lib/modules/fglrx/build_mod# sh make.sh
ATI module generator V 2.0
make.sh: line 522: [: =: unary operator expected
patching 'highmem.h'...
assuming new VMA API since we do have kernel 2.6.x...
doing Makefile based build for kernel 2.6.x and higher
make -C /lib/modules/
SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Gehe in Verzeichnis »/usr/src/linux-2.6.12«
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/agp3.o
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/nvidia-agp.o
/lib/modules/fglrx/build_mod/2.6.x/nvidia-agp.c:57: error: static
declaration of '__fgl_agp_try_unsupported' follows non-static
/lib/modules/fglrx/build_mod/2.6.x/agp_backend.h:92: error: previous
declaration of '__fgl_agp_try_unsupported' was here
make[2]: *** [/lib/modules/fglrx/build_mod/2.6.x/nvidia-agp.o] Fehler 1
make[1]: *** [_module_/lib/modules/fglrx/build_mod/2.6.x] Fehler 2
make[1]: Verlasse Verzeichnis »/usr/src/linux-2.6.12«
make: *** [kmod_build] Fehler 2
build failed with return value 2

Can this issue be solved at the moment? How did you succed?

Greetings, Tobias

Reply to: